
; Definitionen fr Mega8515

; Belegungen der Atmel-Ports:

;*****************************************************************

;	PA0		ADC0		LED DATA		
;   PA1		ADC1		LED CLOCK
;	PA2		ADC2		LED LOAD
;   PA3		ADC3      	LED RESET
;   PA4		ADC4		
;   PA5		ADC5		
;	PA6		ADC6		
;	PA7		ADC7		

;	PB0		XCK/T0				
;   PB1		T1				
;   PB2		INT2/AIN0   
;   PB3		OC0/AIN1    
;   PB4		SS			
;   PB5		MOSI		
;	PB6		MISO		
;	PB7		SCK			
				
;   PC0		SCL			I2C	
;   PC1		SDA			I2C		
;   PC2		TCK			
;   PC3		IMS			
;	PC4		TDO					
;	PC5		TDI			
;	PC6		TOSC1		
;	PC7		TOSC2		

;   PD0		RxD			RS232
;   PD1		TxD			RS232
;   PD2		INT0		
;   PD3		INT1		
;   PD4	    OC1B		 
;   PD5		OC1A		
;   PD6		ICP1		
;   PD7		OC2			


;*****************************************************************

;--- Allgemeines -----------------------------------------------

.equ    F_CPU           = 8000000	
.equ    CYCLES_PER_US   = ((F_CPU+800000)/1000000)

.equ	BAUDRATE		= 38400

.equ	UART_CLOCK		= (F_CPU/(BAUDRATE*16))-1

.equ	LED_HELL		= 0							; 0 (100%) ... 7 (0%)

.equ	REG_CTRL		= 0b11000000
.equ	BIT_CLR			= 5
.equ	BIT_PEAK		= 3			
	
;**************************** Ram-Reservierungen ******************

;--- Internes Ram ------------------------------------------------

.DSEG

.ORG    $060    

HELLIGKEIT:		.db	1

; $0300-$045F Stack                         ; 352 Byte...

;**************************** Register-Bits **************************
;--- Display ---------------------------------------------------------

;--- LED-Display ---------------------------------------------------------

.equ	LED_PORT	= PORTA
.equ    LED_DATA    = PA0                 ; Datenport
.equ    LED_CLOCK	= PA1                 ; Port LCD-Enable usw.
.equ    LED_LOAD    = PA2                 ; Bit fr Register-Select
.equ    LED_RESET   = PA3                 ; Bit fr Enable

;--- lower Register -----------------------------------------------

.def	MUL_L		= r0
.def	MUL_H		= r1

;--- higher Register ----------------------------------------------

.def    TEMP_A      = r16                   ; temporre  8Bit-Register
.def    TEMP_B      = r17 
.def	TEMP_C		= r18
.def	TEMP_D		= r19

.def	LED_POS		= r20					; aktuelle Stelle	

; r26/r27, r28/r29, r30/r31 fr X,Y,Z reserviert 

;--- Macros -------------------------------------------------------

.macro  load_p                      ; ldt 16Bit @1 nach @0 High und @0 Low

        ldi     @0H,HIGH(@1)
        ldi     @0L,LOW(@1)

.endmacro

