
; ATmega8515

; Secure-Bits fr Mega8515:
; 0 gesetzt SUT0 -> Haken in PonyProg
; ext. Quarz 8MHz

; 02.06.2006 M'Soft Berlin

.include "m8515def.inc"

.include "Definitionen.inc"

;****************************** Verktor-Liste ****************************

.CSEG
                rjmp    Reset

.org INT0addr			;External Interrupt0 Vector Address
                reti	;irq_rds

.org INT1addr			;External Interrupt1 Vector Address
                reti

.org ICP1addr			;Input Capture1 Interrupt Vector Address
                reti

.org OC1Aaddr			;Output Compare1A Interrupt Vector Address
                reti    ;irq_timer

.org OC1Baddr			;Output Compare1B Interrupt Vector Address
                reti

.org OVF1addr			;Overflow1 Interrupt Vector Address
				reti

.org OVF0addr			;Overflow0 Interrupt Vector Address
				reti

.org SPIaddr			;SPI Interrupt Vector Address
                reti

.org URXCaddr			;UART Receive Complete Interrupt Vector Address
                reti

.org UDREaddr			;UART Data Register Empty Interrupt Vector Address
                reti

.org UTXCaddr			;UART Transmit Complete Interrupt Vector Address
                reti

.org ACIaddr			;Analog Comparator Interrupt Vector Address
                reti

.org INT2addr			;External Interrupt2 Vector Address
                reti

.org OC0addr			;Output Compare0 Interrupt Vector Address
                reti    ;irq_timer

.org ERDYaddr			;EEPROM Interrupt Vector Address
                reti

.org SPMRaddr			;Store Program Memory Ready Interrupt Vector Address
                reti

;****************************** Programm-Beginn **********************

;*********************************************************************
;  Initialisierungsroutine
;*********************************************************************

; Hardware initialisieren

Reset:  ldi     TEMP_A,low(RAMEND)          ; Stack an das interne Ram-Ende
        out     SPL,TEMP_A
        ldi     TEMP_A,high(RAMEND)
        out     SPH,TEMP_A

; Port A *************************************************************

		ser		TEMP_A						; alle Ausgang
		out		PORTA,TEMP_A					
		out		DDRA,TEMP_A

; Port B *************************************************************

        ser		TEMP_A						; alle Ausgang
		out     PORTB,TEMP_A                
		out     DDRB,TEMP_A

; Port C *************************************************************

        ser		TEMP_A	
		out     PORTC,TEMP_A 
		out     DDRC,TEMP_A					; alles Ausgang
	
; Port D *************************************************************
		
		ser		TEMP_A
		out     PORTD,TEMP_A 
        out     DDRD,TEMP_A            	    ; Ausgang Display-Daten 
 
;*********************************************************************				 

; Software initialisieren

		ldi		TEMP_A,LED_HELL				; Startwert Helligkeit ins Ram
		sts		HELLIGKEIT,TEMP_A
						
		clr		LED_POS						; Position aif 0
											 
;*********************************************************************
;  Main-Loop
;*********************************************************************
main:					
        cbi		LED_PORT,LED_RESET			; Reset auf L
		rcall	wait_5ms
		sbi		LED_PORT,LED_RESET

		lds		TEMP_A,HELLIGKEIT
		ori		TEMP_A,REG_CTRL + (1<<BIT_CLR) + (1<<BIT_PEAK)
		rcall	write_led

		load_p	Z,(2*text)

main_loop:
		lpm		TEMP_A,Z+
		tst		TEMP_A
		breq	main_end

		rcall	ascii2led
		rjmp	main_loop

main_end:
		rjmp	main_end
		
.include "Subroutinen.inc"

.include "Tabellen.inc"
